Skip to content

Update Case

Request

Update a case by ID.

Security
ArxusSSO(Required scopes: ROLE_ITSM_WRITE)
Path
caseIdstringrequired

The unique identifier of the case.

Bodyapplication/jsonrequired
externalIdstring or null

The external unique identifier of the case.

Example:"EXT-12345"
curl -i -X PATCH \
  'https://developer.arxus.eu/_mock/apis/care/openapi/cases/{caseId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "externalId": "EXT-12345"
  }'

Responses

The updated case.

Bodyapplication/json
metaobject(Response metadata)

Response metadata schema.

dataobject(Case)

A customer case.

Response
{ "meta": {}, "data": { "id": "CS0123456", "externalId": "EXT-12345", "contract": "6825d2cf57918d1ca439bb5e", "channel": "api", "priority": 4, "state": 1, "contact": "user@example.com", "shortDescription": "Server is unresponsive", "description": "The production server has been unresponsive since 10:00 AM.", "incident": "INC0001234", "change": "CHG0001234", "problem": "PRB0001234", "created": "2025-01-15T10:30:00Z", "updated": "2025-01-16T08:00:00Z", "closed": null, "resolutionCode": null, "resolutionNotes": null } }